Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-102162

Fix "ValidationErrors object has no attribute check" traceback

    XMLWordPrintable

    Details

    • Needs Doc:
      No
    • Attempts to pass:
      1
    • Testing System:
      VMware Virtual Machine, FreeNAS Mini
    • QA Status:
      Test Passes FreeNAS
    • Acceptance Criteria:
      Traceback should no longer occur.

      Description

      Running FreeNAS-11.2-INTERNAL-7.  While testing https://jira.ixsystems.com/browse/NAS-101755?filter=10744  was unable to access mountpoints of any plugins/jails created.  Both on a VM and a FreeNAS Mini.  Verified on another system (Joe Maloney) that the same trace back was received.

      Error: concurrent.futures.process._RemoteTraceback: 
      """
      Traceback (most recent call last):
      File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
      r = call_item.fn(*call_item.args, **call_item.kwargs)
      File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
      res = loop.run_until_complete(coro)
      File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
      return future.result()
      File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
      return await self._call(name, serviceobj, methodobj, params=args, job=job)
      File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
      return methodobj(*params)
      File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
      return methodobj(*params)
      File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
      return f(*args, **kwargs)
      File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 683, in fstab
      verrors.check()
      AttributeError: 'ValidationErrors' object has no attribute 'check'
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 167, in call_method
      result = await self.middleware.call_method(self, message)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1098, in call_method
      return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1043, in _call
      return await self._call_worker(name, *args)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1063, in _call_worker
      return await self.run_in_proc(main_worker, name, args, job)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 997, in run_in_proc
      return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
      File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 973, in run_in_executor
      return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      AttributeError: 'ValidationErrors' object has no attribute 'check'

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              waqar Waqar Ahmed
              Reporter:
              jervin Jeff Ervin
              QE Engineer:
              Jeff Ervin
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Merged after freeze:

                  Summary Panel